/* You can add global styles to this file, and also import other style files */
@use './styles/reset';
@use './styles/font';
@use './styles/layout';
@use './styles/miscellaneous';
@use './styles/components';

body.theme-sweet {
  --main-background-color: #fff0fe;

  --primary: #f7bff2;
  --primary-shadow: #cc85ff;
  --primary-text: #000;
  --primary-rgb: 247, 192, 242;

  --accent: #92c8f4;
  --accent-text: #000000;
  --accent-shadow: #6396d3;
}

body.theme-gothic {
  --main-background-color: #7b71a5;

  --primary: #322187;
  --primary-shadow: #000;
  --primary-text: #fff;
  --primary-rgb: 50, 33, 135;

  --accent: #3f0670;
  --accent-text: #fff;
  --accent-shadow: #1c0638;
}

body.theme-classic {
  --main-background-color: #ffe2a9;

  --primary: #d32a09;
  --primary-shadow: #892806;
  --primary-text: #fff;
  --primary-rgb: 211, 42, 9;

  --accent: #875533;
  --accent-text: #fff;
  --accent-shadow: #422a1a;
}

html {
  font-size: 16px;
}

body {
  transition: all 330ms linear;
  background: var(--main-background-color);
  overscroll-behavior-y: none;
}
